# LoadBalancersApi

## LoadBalancersApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                                                                    | HTTP request                                                                               | Description                     |
| ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ | ------------------------------- |
| [**datacenters\_loadbalancers\_balancednics\_delete**](#datacenters_loadbalancers_balancednics_delete)                    | **DELETE** /datacenters/{datacenterId}/loadbalancers/{loadbalancerId}/balancednics/{nicId} | Detach balanced NICs            |
| [**datacenters\_loadbalancers\_balancednics\_find\_by\_nic\_id**](#datacenters_loadbalancers_balancednics_find_by_nic_id) | **GET** /datacenters/{datacenterId}/loadbalancers/{loadbalancerId}/balancednics/{nicId}    | Retrieve balanced NICs          |
| [**datacenters\_loadbalancers\_balancednics\_get**](#datacenters_loadbalancers_balancednics_get)                          | **GET** /datacenters/{datacenterId}/loadbalancers/{loadbalancerId}/balancednics            | List balanced NICs              |
| [**datacenters\_loadbalancers\_balancednics\_post**](#datacenters_loadbalancers_balancednics_post)                        | **POST** /datacenters/{datacenterId}/loadbalancers/{loadbalancerId}/balancednics           | Attach balanced NICs            |
| [**datacenters\_loadbalancers\_delete**](#datacenters_loadbalancers_delete)                                               | **DELETE** /datacenters/{datacenterId}/loadbalancers/{loadbalancerId}                      | Delete Load Balancers           |
| [**datacenters\_loadbalancers\_find\_by\_id**](#datacenters_loadbalancers_find_by_id)                                     | **GET** /datacenters/{datacenterId}/loadbalancers/{loadbalancerId}                         | Retrieve Load Balancers         |
| [**datacenters\_loadbalancers\_get**](#datacenters_loadbalancers_get)                                                     | **GET** /datacenters/{datacenterId}/loadbalancers                                          | List Load Balancers             |
| [**datacenters\_loadbalancers\_patch**](#datacenters_loadbalancers_patch)                                                 | **PATCH** /datacenters/{datacenterId}/loadbalancers/{loadbalancerId}                       | Partially modify Load Balancers |
| [**datacenters\_loadbalancers\_post**](#datacenters_loadbalancers_post)                                                   | **POST** /datacenters/{datacenterId}/loadbalancers                                         | Create a Load Balancer          |
| [**datacenters\_loadbalancers\_put**](#datacenters_loadbalancers_put)                                                     | **PUT** /datacenters/{datacenterId}/loadbalancers/{loadbalancerId}                         | Modify a Load Balancer by ID    |

## **datacenters\_loadbalancers\_balancednics\_delete**

> datacenters\_loadbalancers\_balancednics\_delete(datacenter\_id, loadbalancer\_id, nic\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Detach balanced NICs

Detach the specified NIC from the Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    loadbalancer_id = 'loadbalancer_id_example' # str | The unique ID of the Load Balancer.
    nic_id = 'nic_id_example' # str | The unique ID of the NIC.
    try:
        # Detach balanced NICs
        api_instance.datacenters_loadbalancers_balancednics_delete(datacenter_id, loadbalancer_id, nic_id)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_balancednics_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **loadbalancer\_id**    | **str**  | The unique ID of the Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **nic\_id**             | **str**  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_loadbalancers\_balancednics\_find\_by\_nic\_id**

> Nic datacenters\_loadbalancers\_balancednics\_find\_by\_nic\_id(datacenter\_id, loadbalancer\_id, nic\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve balanced NICs

Retrieve the properties of the specified NIC, attached to the Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    loadbalancer_id = 'loadbalancer_id_example' # str | The unique ID of the Load Balancer.
    nic_id = 'nic_id_example' # str | The unique ID of the NIC.
    try:
        # Retrieve balanced NICs
        api_response = api_instance.datacenters_loadbalancers_balancednics_find_by_nic_id(datacenter_id, loadbalancer_id, nic_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_balancednics_find_by_nic_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **loadbalancer\_id**    | **str**  | The unique ID of the Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **nic\_id**             | **str**  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Nic**](/python-sdk/models/nic.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_loadbalancers\_balancednics\_get**

> BalancedNics datacenters\_loadbalancers\_balancednics\_get(datacenter\_id, loadbalancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List balanced NICs

List all NICs, attached to the specified Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    loadbalancer_id = 'loadbalancer_id_example' # str | The unique ID of the Load Balancer.
    try:
        # List balanced NICs
        api_response = api_instance.datacenters_loadbalancers_balancednics_get(datacenter_id, loadbalancer_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_balancednics_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **loadbalancer\_id**    | **str**  | The unique ID of the Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**BalancedNics**](/python-sdk/models/balancednics.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_loadbalancers\_balancednics\_post**

> Nic datacenters\_loadbalancers\_balancednics\_post(datacenter\_id, loadbalancer\_id, nic, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Attach balanced NICs

Attachs an existing NIC to the specified Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    loadbalancer_id = 'loadbalancer_id_example' # str | The unique ID of the Load Balancer.
    nic = ionoscloud.Nic() # Nic | The NIC to be attached.
    try:
        # Attach balanced NICs
        api_response = api_instance.datacenters_loadbalancers_balancednics_post(datacenter_id, loadbalancer_id, nic)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_balancednics_post: %s\n' % e)
```

#### Parameters

| Name                    | Type                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**                              | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **loadbalancer\_id**    | **str**                              | The unique ID of the Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **nic**                 | [**Nic**](/python-sdk/models/nic.md) | The NIC to be attached.                                                                                                                                                                                                                                                                                                                                                                                                                  |                                |
| **pretty**              | **bool**                             | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                              | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                              | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Nic**](/python-sdk/models/nic.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_loadbalancers\_delete**

> datacenters\_loadbalancers\_delete(datacenter\_id, loadbalancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete Load Balancers

Remove the specified Load Balancer from the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    loadbalancer_id = 'loadbalancer_id_example' # str | The unique ID of the Load Balancer.
    try:
        # Delete Load Balancers
        api_instance.datacenters_loadbalancers_delete(datacenter_id, loadbalancer_id)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **loadbalancer\_id**    | **str**  | The unique ID of the Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_loadbalancers\_find\_by\_id**

> Loadbalancer datacenters\_loadbalancers\_find\_by\_id(datacenter\_id, loadbalancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve Load Balancers

Retrieve the properties of the specified Load Balancer within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    loadbalancer_id = 'loadbalancer_id_example' # str | The unique ID of the Load Balancer.
    try:
        # Retrieve Load Balancers
        api_response = api_instance.datacenters_loadbalancers_find_by_id(datacenter_id, loadbalancer_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_find_by_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **loadbalancer\_id**    | **str**  | The unique ID of the Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Loadbalancer**](/python-sdk/models/loadbalancer.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_loadbalancers\_get**

> Loadbalancers datacenters\_loadbalancers\_get(datacenter\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number, offset=offset, limit=limit)

List Load Balancers

List all the Load Balancers within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    try:
        # List Load Balancers
        api_response = api_instance.datacenters_loadbalancers_get(datacenter_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |
| **offset**              | **int**  | The first element (from the complete list of the elements) to include in the response (used together with \<b>\<i>limit\</i>\</b> for pagination).                                                                                                                                                                                                                                                                                       | \[optional] \[default to 0]    |
| **limit**               | **int**  | The maximum number of elements to return (use together with offset for pagination).                                                                                                                                                                                                                                                                                                                                                      | \[optional] \[default to 1000] |

#### Return type

[**Loadbalancers**](/python-sdk/models/loadbalancers.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_loadbalancers\_patch**

> Loadbalancer datacenters\_loadbalancers\_patch(datacenter\_id, loadbalancer\_id, loadbalancer, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Partially modify Load Balancers

Update the properties of the specified Load Balancer within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    loadbalancer_id = 'loadbalancer_id_example' # str | The unique ID of the Load Balancer.
    loadbalancer = ionoscloud.LoadbalancerProperties() # LoadbalancerProperties | The properties of the Load Balancer to be updated.
    try:
        # Partially modify Load Balancers
        api_response = api_instance.datacenters_loadbalancers_patch(datacenter_id, loadbalancer_id, loadbalancer)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_patch: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**                                                                    | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **loadbalancer\_id**    | **str**                                                                    | The unique ID of the Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **loadbalancer**        | [**LoadbalancerProperties**](/python-sdk/models/loadbalancerproperties.md) | The properties of the Load Balancer to be updated.                                                                                                                                                                                                                                                                                                                                                                                       |                                |
| **pretty**              | **bool**                                                                   | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                    | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                    | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Loadbalancer**](/python-sdk/models/loadbalancer.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_loadbalancers\_post**

> Loadbalancer datacenters\_loadbalancers\_post(datacenter\_id, loadbalancer, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create a Load Balancer

Creates a Load Balancer within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    loadbalancer = ionoscloud.Loadbalancer() # Loadbalancer | The Load Balancer to create.
    try:
        # Create a Load Balancer
        api_response = api_instance.datacenters_loadbalancers_post(datacenter_id, loadbalancer)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_post: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**                                                | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **loadbalancer**        | [**Loadbalancer**](/python-sdk/models/loadbalancer.md) | The Load Balancer to create.                                                                                                                                                                                                                                                                                                                                                                                                             |                                |
| **pretty**              | **bool**                                               | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Loadbalancer**](/python-sdk/models/loadbalancer.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_loadbalancers\_put**

> Loadbalancer datacenters\_loadbalancers\_put(datacenter\_id, loadbalancer\_id, loadbalancer, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify a Load Balancer by ID

Modifies the properties of the specified Load Balancer within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    loadbalancer_id = 'loadbalancer_id_example' # str | The unique ID of the Load Balancer.
    loadbalancer = ionoscloud.Loadbalancer() # Loadbalancer | The modified Load Balancer.
    try:
        # Modify a Load Balancer by ID
        api_response = api_instance.datacenters_loadbalancers_put(datacenter_id, loadbalancer_id, loadbalancer)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LoadBalancersApi.datacenters_loadbalancers_put: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**                                                | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **loadbalancer\_id**    | **str**                                                | The unique ID of the Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **loadbalancer**        | [**Loadbalancer**](/python-sdk/models/loadbalancer.md) | The modified Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool**                                               | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Loadbalancer**](/python-sdk/models/loadbalancer.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/python-sdk/api/loadbalancersapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
